﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Miche.Mvvm
{
    public class Utente : INotifyPropertyChanged
    {

		/// <summary>
		/// Testo1
		/// </summary>
		private string mNome;

		/// <summary>
		/// Testo1
		/// </summary>
		public string Nome
		{
			get
			{
				return mNome;
			}
			set
			{
				mNome = value;
				OnPropertyChanged(nameof(Nome));
			}
		}


		/// <summary>
		/// Cognome
		/// </summary>
		private string mCognome;

		/// <summary>
		/// Cognome
		/// </summary>
		public string Cognome
		{
			get
			{
				return mCognome;
			}
			set
			{
				mCognome = value;
				OnPropertyChanged(nameof(Cognome));
			}
		}


		/// <summary>
		/// Eta
		/// </summary>
		private string mEta;

		/// <summary>
		/// Eta
		/// </summary>
		public string Eta
		{
			get
			{
				return mEta;
			}
			set
			{
				mEta = value;
				OnPropertyChanged(nameof(Eta));
			}
		}




		/// <summary>
		/// Occurs when a property value changes.
		/// </summary>
		public event PropertyChangedEventHandler PropertyChanged;

		/// <summary>
		/// Called when [property changed].
		/// </summary>
		/// <param name="propertyName">Name of the property.</param>
		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}

	}
}
